diff -r -C 2 -P ../AmiPhone_1.92/amiphoned.c ./amiphoned.c
*** ../AmiPhone_1.92/amiphoned.c	Sat Nov 16 23:46:40 1996
--- ./amiphoned.c	Fri Mar  6 00:21:40 1998
***************
*** 1,4 ****
! #define DICE_C
  
  #include <stdio.h>
  #include <stdlib.h>
--- 1,5 ----
! /* :ts=4 */
  
+ #include <netinclude:sys/types.h>
  #include <stdio.h>
  #include <stdlib.h>
***************
*** 83,87 ****
  
  /* Why does this come out as 18 unless I define it explicitely here?  Weird! */
! #define EWOULDBLOCK 35
  
  /* private functions */
--- 84,88 ----
  
  /* Why does this come out as 18 unless I define it explicitely here?  Weird! */
! /* #define EWOULDBLOCK 35*/
  
  /* private functions */
***************
*** 128,132 ****
  
  /* private vars for this module */
! static char [] = VERSION_STRING;
  static char * szRelayName[10] = {NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL};
  static LONG   sRelayUDPSocket[10]= {-1  ,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1};
--- 129,133 ----
  
  /* private vars for this module */
! static char my_version[] = AMIPHONED_VERSION;
  static char * szRelayName[10] = {NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL};
  static LONG   sRelayUDPSocket[10]= {-1  ,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1};
***************
*** 827,831 ****
  	}
  	
! 	if (LayoutMenus(Menu, VisualInfo, TAG_DONE))
  	{
  		/* Update the menus */
--- 828,832 ----
  	}
  	
! 	if (LayoutMenus(Menu, VisualInfo, GTMN_NewLookMenus, TRUE, TAG_DONE))
  	{
  		/* Update the menus */
***************
*** 851,855 ****
  	const int diff = 'a' - 'A';
  
! 	if (sOldString == NULL) return();
   	while (*i != '\0')
   	{
--- 852,856 ----
  	const int diff = 'a' - 'A';
  
! 	if (sOldString == NULL) return;
   	while (*i != '\0')
   	{
***************
*** 1278,1282 ****
  	}
  
! 	if (FD_ISSET(sUDPSocket, &fsReadSet))    
  	{
  		ReceiveUDPPacket(&recBuffer);
--- 1279,1283 ----
  	}
  
! 	if (sUDPSocket != -1 && FD_ISSET(sUDPSocket, &fsReadSet))    
  	{
  		ReceiveUDPPacket(&recBuffer);
***************
*** 1284,1294 ****
  	}
  
! 	if (FD_ISSET(sTCPSocket, &fsWriteSet)) ReduceTCPQueue(CLIENT_TCP_QUEUE, sTCPSocket);
! 	if (FD_ISSET(sTCPSocket, &fsReadSet))  ReceiveTCPPacket();
  	
  	for (i=0;i<10;i++) 
  	{
! 		if (FD_ISSET(sRelayTCPSocket[i],&fsReadSet)) HandleRelayResponse(i);
! 		if (FD_ISSET(sRelayTCPSocket[i],&fsWriteSet)) ReduceTCPQueue(i, sRelayTCPSocket[i]);
  	}
  	
--- 1285,1301 ----
  	}
  
!     if(sTCPSocket != -1)
!     {
!     	if (FD_ISSET(sTCPSocket, &fsWriteSet)) ReduceTCPQueue(CLIENT_TCP_QUEUE, sTCPSocket);
! 	    if (FD_ISSET(sTCPSocket, &fsReadSet))  ReceiveTCPPacket();
!     }
  	
  	for (i=0;i<10;i++) 
  	{
! 	    if(sRelayTCPSocket[i] != -1)
! 	    {
!     		if (FD_ISSET(sRelayTCPSocket[i],&fsReadSet)) HandleRelayResponse(i);
! 	    	if (FD_ISSET(sRelayTCPSocket[i],&fsWriteSet)) ReduceTCPQueue(i, sRelayTCPSocket[i]);
! 	    }
  	}
  	
***************
*** 1329,1333 ****
  	fprintf(fpDebug,"sin_family   =%d\n",psaSock->sin_family);
  	fprintf(fpDebug,"sin_port     =%d\n",psaSock->sin_port);
! 	fprintf(fpDebug,"sin_sin_addr =%d\n",(ULONG)(psaSock->sin_addr));
  	fprintf(fpDebug,"sin_zero     = %i %i %i %i %i %i %i %i\n",
  			psaSock->sin_zero[0],
--- 1336,1340 ----
  	fprintf(fpDebug,"sin_family   =%d\n",psaSock->sin_family);
  	fprintf(fpDebug,"sin_port     =%d\n",psaSock->sin_port);
! 	fprintf(fpDebug,"sin_sin_addr =%d\n",(ULONG)(psaSock->sin_addr.s_addr));
  	fprintf(fpDebug,"sin_zero     = %i %i %i %i %i %i %i %i\n",
  			psaSock->sin_zero[0],
***************
*** 1476,1480 ****
  	const int diff = 'a' - 'A';
  
! 	UNLESS(sOldString) return();
  	
  	while (*i != '\0')
--- 1483,1487 ----
  	const int diff = 'a' - 'A';
  
! 	UNLESS(sOldString) return;
  	
  	while (*i != '\0')
***************
*** 2022,2026 ****
  	BPTR MyLock = Lock(szDirectory, ACCESS_READ);
  	LONG ulBlocksFree;
! 	__aligned struct InfoData MyData;
  	
  	if (MyLock == 0)
--- 2029,2033 ----
  	BPTR MyLock = Lock(szDirectory, ACCESS_READ);
  	LONG ulBlocksFree;
! 	ALIGNED struct InfoData MyData;
  	
  	if (MyLock == 0)
***************
*** 2100,2104 ****
  	struct ExAllControl * eac;
  	struct ExAllData * ead;
! 	__aligned UBYTE EAData[sizeof(struct ExAllData)*30];
  	
  	if (MyLock == 0) 
--- 2107,2111 ----
  	struct ExAllControl * eac;
  	struct ExAllData * ead;
! 	ALIGNED UBYTE EAData[sizeof(struct ExAllData)*30];
  	
  	if (MyLock == 0) 
Only in ../AmiPhone_1.92: amiphoned.c.info
diff -r -C 2 -P ../AmiPhone_1.92/amiphonepacket.h ./amiphonepacket.h
*** ../AmiPhone_1.92/amiphonepacket.h	Sat Nov 16 23:46:40 1996
--- ./amiphonepacket.h	Tue Mar  3 19:49:35 1998
***************
*** 4,12 ****
  /* Current Version number for both AmiPhone and AmiPhoned */
  /* Make sure ALL THREE of these #define lines are in-sync! */
! #define VERSION_NUMBER 		192
  #ifdef DEBUG_FLAG
! #define VERSION_STRING 	"$VER: 1.92D"
  #else
! #define VERSION_STRING 	"$VER: 1.92"
  #endif
  
--- 4,14 ----
  /* Current Version number for both AmiPhone and AmiPhoned */
  /* Make sure ALL THREE of these #define lines are in-sync! */
! #define VERSION_NUMBER 		193
  #ifdef DEBUG_FLAG
! #define AMIPHONE_VERSION 	"$VER: AmiPhone 1.93D " __AMIGADATE__ "\r\n"
! #define AMIPHONED_VERSION 	"$VER: AmiPhoned 1.93D " __AMIGADATE__ "\r\n"
  #else
! #define AMIPHONE_VERSION 	"$VER: AmiPhone 1.93 " __AMIGADATE__ "\r\n"
! #define AMIPHONED_VERSION 	"$VER: AmiPhoned 1.93 " __AMIGADATE__ "\r\n"
  #endif
  
diff -r -C 2 -P ../AmiPhone_1.92/asl.c ./asl.c
*** ../AmiPhone_1.92/asl.c	Sat Nov 16 23:46:40 1996
--- ./asl.c	Sun Feb 15 23:04:17 1998
***************
*** 1,3 ****
--- 1,4 ----
  /* asl.c -- function for getting filenames */
+ /* :ts=4 */
  
  #ifndef ASL_C
***************
*** 34,57 ****
  	if (szDefaultDirParam == NULL) 	szDefaultDir  = szDefaultDefaultDir; else szDefaultDir = szDefaultDirParam;
  	if (szDefaultFile == NULL) 	szDefaultFile = "";
!        
! 	struct TagItem frtags[] =
! 	{
! 		ASL_Hail,	(ULONG)szMessage,
  		ASL_Height,	185,
! 		ASL_Width,	320,
! 		ASL_LeftEdge,	0,
  		ASL_TopEdge,	15,
! 		ASL_Dir,        (ULONG)szDefaultDir,
! 		ASL_File,       (ULONG)szDefaultFile,
  		ASL_OKText,	(ULONG)szOKMessage,
! 		ASL_FuncFlags,  lFlags,
! 		ASL_CancelText,	(ULONG)"Cancel",
  		ASL_Window,	PhoneWindow,
! 		TAG_DONE
! 	};
! 	
! 	fr = (struct FileRequester *) AllocAslRequest(ASL_FileRequest, frtags);	
! 	if (fr == NULL) return(FALSE);
! 	
  /*	SetPointer(PhoneWindow, (UWORD *)waitPointer, 16, 16, -6, 0); */
  	if (AslRequest(fr, NULL))
--- 35,55 ----
  	if (szDefaultDirParam == NULL) 	szDefaultDir  = szDefaultDefaultDir; else szDefaultDir = szDefaultDirParam;
  	if (szDefaultFile == NULL) 	szDefaultFile = "";
! 
! 	fr = (struct FileRequester *) AllocAslRequestTags(ASL_FileRequest,
! 	  ASL_Hail,	(ULONG)szMessage,
  		ASL_Height,	185,
!   	ASL_Width,	320,
! 	  ASL_LeftEdge,	0,
  		ASL_TopEdge,	15,
!   	ASL_Dir,        (ULONG)szDefaultDir,
! 	  ASL_File,       (ULONG)szDefaultFile,
  		ASL_OKText,	(ULONG)szOKMessage,
!   	ASL_FuncFlags,  lFlags,
! 	  ASL_CancelText,	(ULONG)"Cancel",
  		ASL_Window,	PhoneWindow,
!   	TAG_DONE);	
! 
!   if (fr == NULL) return(FALSE);
! 
  /*	SetPointer(PhoneWindow, (UWORD *)waitPointer, 16, 16, -6, 0); */
  	if (AslRequest(fr, NULL))
Only in ../AmiPhone_1.92: bin
diff -r -C 2 -P ../AmiPhone_1.92/browse.c ./browse.c
*** ../AmiPhone_1.92/browse.c	Sat Nov 16 23:46:38 1996
--- ./browse.c	Mon Feb 16 01:15:51 1998
***************
*** 1,7 ****
--- 1,9 ----
  /* Module for the voice mail browser window */
+ /* :ts=4 */
  
  #ifndef BROWSE_C
  #define BROWSE_C
  
+ #include <netinclude:sys/types.h>
  #include <stdio.h>
  
***************
*** 62,66 ****
  /* private data */
  static struct GfxBase * GfxBase       = NULL;
! static struct Library * IntuitionBase = NULL;
  static struct Library * GadToolsBase  = NULL;
  static struct List    * FileList      = NULL;
--- 64,68 ----
  /* private data */
  static struct GfxBase * GfxBase       = NULL;
! static struct IntuitionBase * IntuitionBase = NULL;
  static struct Library * GadToolsBase  = NULL;
  static struct List    * FileList      = NULL;
***************
*** 197,201 ****
  	struct ExAllControl * eac;
  	struct ExAllData * ead;
! 	__aligned UBYTE EAData[sizeof(struct ExAllData)*30];
  	struct List * FileList = NULL;
  	struct Node * newnode;
--- 199,203 ----
  	struct ExAllControl * eac;
  	struct ExAllData * ead;
! 	ALIGNED UBYTE EAData[sizeof(struct ExAllData)*30];
  	struct List * FileList = NULL;
  	struct Node * newnode;
***************
*** 628,632 ****
  
  
! __geta4 void BrowserMain(void)
  {	
  	ULONG ulBrowseMask = SIGBREAKF_CTRL_C, ulSignals;
--- 630,634 ----
  
  
! SAVEDS void BrowserMain(void)
  {	
  	ULONG ulBrowseMask = SIGBREAKF_CTRL_C, ulSignals;
***************
*** 678,682 ****
  	        WA_IDCMP,       IDCMP_REFRESHWINDOW|IDCMP_CLOSEWINDOW|SLIDERIDCMP|IDCMP_NEWSIZE,
  	        WA_Flags,       WFLG_SIZEBBOTTOM|WFLG_SMART_REFRESH|WFLG_ACTIVATE|
! 	        		/*WFLG_NEWLOOKMENUS|*/WFLG_CLOSEGADGET|WFLG_DRAGBAR|
  	        		WFLG_DEPTHGADGET,
  	        WA_Gadgets,	glist,
--- 680,684 ----
  	        WA_IDCMP,       IDCMP_REFRESHWINDOW|IDCMP_CLOSEWINDOW|SLIDERIDCMP|IDCMP_NEWSIZE,
  	        WA_Flags,       WFLG_SIZEBBOTTOM|WFLG_SMART_REFRESH|WFLG_ACTIVATE|
! 	        		WFLG_NEWLOOKMENUS|WFLG_CLOSEGADGET|WFLG_DRAGBAR|
  	        		WFLG_DEPTHGADGET,
  	        WA_Gadgets,	glist,
Only in ../AmiPhone_1.92: browse.c.info
diff -r -C 2 -P ../AmiPhone_1.92/browse.h ./browse.h
*** ../AmiPhone_1.92/browse.h	Sat Nov 16 23:46:40 1996
--- ./browse.h	Sun Feb 15 13:25:08 1998
***************
*** 3,7 ****
  #define BROWSE_H
  
! __geta4 void BrowserMain(void);
  
  void StopBrowser(void);
--- 3,9 ----
  #define BROWSE_H
  
! #include <CompilerSpecific.h>
! 
! SAVEDS void BrowserMain(void);
  
  void StopBrowser(void);
